#version 330


layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture;
uniform float xInc=1.;

out vec2 fsTex0;
out vec2 fsTex1;

void main()
{
    gl_Position=vec4(vsPosition.x,vsPosition.y,vsPosition.z,1.0);
    fsTex0=vsTexture;
    fsTex1=vsTexture;
    fsTex1.x+=xInc;
}
